Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 222799 - VIA EPIA CN 13000 (X) display fails to come back after suspend/resume
Summary: VIA EPIA CN 13000 (X) display fails to come back after suspend/resume
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-01-16 09:18 UTC by Jeroen Janssen
Modified: 2008-02-08 04:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:28:38 UTC


Attachments (Terms of Use)
Xorg config file (deleted)
2007-01-16 09:32 UTC, Jeroen Janssen
no flags Details
Xorg log file (deleted)
2007-01-16 09:32 UTC, Jeroen Janssen
no flags Details

Description Jeroen Janssen 2007-01-16 09:18:27 UTC
Description of problem:

On a VIA CN 13000 Platform (
http://www.via.com.tw/en/products/mainboards/motherboards.jsp?motherboard_id=400
), perform a "Suspend".

Now after resuming the machine again, the network is ok (ping/ssh/etc works ok),
but the display stays blank. 

Version-Release number of selected component (if applicable):
kernel 2.6.18-1.2869.fc6
xorg-x11-server-Xorg-1.1.1-47.4.fc6
xorg-x11-drv-via-0.2.1-7

How reproducible:

Steps to Reproduce:
1. Boot VIA EPIA CN 13000
2. Login (X) and select suspend from "System" menu
3. After suspending is complete, trigger a resume
  
Actual results:

Machine comes back up (networking, etc) EXCEPT for the (X) terminal. The screen
stays blank.

Expected results:

A working (non blank) X after resuming.

Additional info:

Comment 1 Jeroen Janssen 2007-01-16 09:32:03 UTC
Created attachment 145663 [details]
Xorg config file

Apparently, the VIA gfx chipset (PCI id 0x3344) for CN13000 is not recognised
(yet) by the xorg via driver.

As a result, the xorg VESA driver is used instead? 
Don't know if this is causing the exact problem?

Comment 2 Jeroen Janssen 2007-01-16 09:32:32 UTC
Created attachment 145664 [details]
Xorg log file

Comment 3 Jeroen Janssen 2007-01-18 13:57:55 UTC
After setting the BIOS setting "Run VGA BIOS if S3 Resume" to YES, the display
comes up correctly.

Is this an "acceptable" fix for this problem or should this also be solved by
correcting hal powermanagement settings for this board?

Comment 4 Jon Stanley 2008-01-08 01:50:26 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 5 Jon Stanley 2008-02-08 04:28:38 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.